| Haskell Hierarchical Libraries (base package) | Contents | Index

Control.Monad.Identity

Portability | portable
Stability | experimental
Maintainer | libraries@haskell.org

Description
The Identity monad. Inspired by the paper Functional Programming with Overloading and Higher-Order Polymorphism, Mark P Jones (http://www.cse.ogi.edu/~mpj/) Advanced School of Functional Programming, 1995.
Documentation
newtype Identity a

Constructors

Identity |

runIdentity :: a |

Instances

Functor Identity
Monad Identity
MonadFix Identity

module Control.Monad
module Control.Monad.Fix
Produced by Haddock version 0.6